## Apache Zeta Components Manual :: Docs For Class ezcWebdavMakeCollectionRequest

### Webdav::ezcWebdavMakeCollectionRequest

### Class ezcWebdavMakeCollectionRequest

Abstract representation of a MKCOL request.

An instance of this class represents the WebDAV MKCOL request.

Source for this file: /Webdav/src/requests/mkcol.php

    ezcWebdavRequest
       |
       --ezcWebdavMakeCollectionRequest

Version: | //autogentag//

### Inherited Constants

From ezcWebdavRequest:
`ezcWebdavRequest::DEPTH_INFINITY` |
`ezcWebdavRequest::DEPTH_ONE` |
`ezcWebdavRequest::DEPTH_ZERO` | Constants for the 'Depth' headers and property fields.

### Properties

string | read/write | `$body` The request body of a MKCOL request.

### Inherited Member Variables

From ezcWebdavRequest
protected | `ezcWebdavRequest::$headers`
protected | `ezcWebdavRequest::$properties`

### Method Summary

public void | `__construct( $requestUri , [ $body = null] )` Creates a new MKCOL request object.

### Inherited Methods

From ezcWebdavRequest
public void | `ezcWebdavRequest::__construct()` Creates a new request object.
public mixed | `ezcWebdavRequest::getHeader()` Returns the contents of a specific header.
public void | `ezcWebdavRequest::setHeader()` Sets a header to a specified value.
public void | `ezcWebdavRequest::setHeaders()` Sets a header to a specified value.
public void | `ezcWebdavRequest::validateHeaders()` Validates the headers set in this request.

### Methods

#### __construct

void __construct( string $requestUri , [string $body = null] )

Creates a new MKCOL request object.

The request contains of the $requestUri which indicates where a collection should be created and an optional request $body.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$requestUri` | string |
`$body` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavRequest::__construct()` | Creates a new request object.

Documentation generated by phpDocumentor 1.4.3